import { Doc } from '../../view/Doc';
import { CommandResult, CommandPayloadMap } from '../types';
import { CommandBase, PostCommandContext } from '../base/CommandBase';
export declare class CommitValidateNumber extends CommandBase<'commitValidateNumber'> {
    private cursorResult;
    constructor(doc: Doc, payload?: CommandPayloadMap['commitValidateNumber']);
    protected execute(): Promise<PostCommandContext>;
    protected afterDo(): CommandResult;
    private resolvePayloadContext;
}
